%global modname axolotl
%global gitrelease 0.1.42
%global desc This is a python port of lib-signal-protocol-java originally written by Moxie \
Marlinspike. It  is a ratcheting forward secrecy protocol that works in \
synchronous and asynchronous messaging environments

Name:           python-%{modname}
Version:        0.1.42
Release:        1%{?dist}
Summary:        Python port of lib-axolotl-android

License:        GPLv3
URL:            https://github.com/tgalal/%{name}
Source0:        https://github.com/tgalal/%{name}/archive/%{gitrelease}.tar.gz#/%{name}-%{gitrelease}.tar.gz

BuildArch:      noarch

# Python 2
BuildRequires:  protobuf-python
BuildRequires:  python2-axolotl-curve25519
BuildRequires:  python2-crypto
BuildRequires:  python2-devel
# Python 3
BuildRequires:  python3-protobuf
BuildRequires:  python3-axolotl-curve25519
Buildrequires:  python3-crypto
BuildRequires:  python3-devel

%description
%{desc}.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
Requires:       python2-axolotl-curve25519
Requires:       python2-crypto
Requires:       protobuf-python

%description -n python2-%{modname}
%{desc}.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
Requires:       python3-axolotl-curve25519
Requires:       python3-crypto
Requires:       python3-protobuf

%description -n python3-%{modname}
%{desc}.

%prep
%setup -q -n %{name}-%{gitrelease}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{modname}
%license LICENSE
%doc README.md
%{python2_sitelib}/*

%files -n python3-%{modname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*

%changelog
* Sun Jun 17 2018 Philip Brown <philip-fpm@protonmail.com> - 0.1.42-1
- Updated to github release 0.1.42
- Changed url/source to github
- Macros: added or changed description, documentation, gitrelease, license, summary 

* Thu May 11 2017 Christian Dersch <lupinix@mailbox.org> - 0.1.39-1
- new version
- with Python3 support for Fedora 26 and newer

* Thu Oct 06 2016 Christian Dersch <lupinix@mailbox.org> - 0.1.35-1
- Initial packaging effort

